Get cost providers
curl --request GET \
--url https://api.vantage.sh/v2/cost_providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/cost_providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/cost_providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cost_providers": [
{
"name": "AWS",
"key": "aws"
}
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}CostProvider
Get cost providers
List CostProviders available to query in a given Workspace.
GET
/
cost_providers
Get cost providers
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The number of results to return. The maximum is 1000.
The token of the Workspace to list CostProviders for. Required if the API token is associated with multiple Workspaces.
Search CostProviders by name or key.